QTC_LIB_DEPENDS += \
    ssh \
    utils

include(../../qtcreator/src/qtcreatortool.pri)

QT += network
QT -= gui

SOURCES = \
    command.cpp \
    command/gcccommand.cpp \
    command/gdbcommand.cpp \
    command/generatekeyscommand.cpp \
    command/makecommand.cpp \
    command/nxtbundlecommand.cpp \
    command/nxtdeploycommand.cpp \
    command/qmakecommand.cpp \
    main.cpp \
    nxtremoteprocess.cpp \
    consolelistener.cpp

HEADERS += \
    command.h \
    command/gcccommand.h \
    command/gdbcommand.h \
    command/generatekeyscommand.h \
    command/makecommand.h \
    command/nxtbundlecommand.h \
    command/nxtdeploycommand.h \
    command/qmakecommand.h \
    commandfactory.h \
    nxtremoteprocess.h \
    consolelistener.h

# ----------------------------------------------------------------------------------------------------------------------

DEFINES += IDS_NXT
DEFINES += IDS_NXT_OCEAN

### optional
#DEFINES += IDS_NXT_DEBUG
#DEFINES += NXT_DEBUG_REMOTE_IO
#DEFINES += NXT_DEBUG_COMMAND_LOG

unix {
    INSTALLS -= target
}
